{% extends "base.html" %}{% load thumbnail %}

{% block extrahead %}
    <script type="text/javascript">
    // <![CDATA[
    $(function(){        
        $('#main-menu li a[href={{menuitem.get_absolute_url}}]').addClass('active');
        $('#main-menu li a[href={{menuitem.get_root.get_absolute_url}}]').addClass('active');
    });    
    // ]]>
    </script>
{% endblock %}

{% block content %}
<div class="menuitem-index">
    {% spaceless %}
    <ul>
    {% for item in menuitem.get_children %}
    {% if item.is_app or item.is_object or item.children.count %}
        <li>
            {% with item.object.images.all.0 as image %}
            <h2>
                <a href="{{item.get_absolute_url}}" class="wrapper {% if image %}image-container{% endif %}">
                 {% if image %}<img src="{% thumbnail image.filename 60x60 crop,detail %}" alt="" />{% endif %}{{ item }}
                </a>
            </h2>
            {% endwith %}
        </li>
    {% endif %}
    {% endfor %}
    </ul>
    {% endspaceless %}
</div>
{% endblock %}

